Approve applicant

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Overview

Use this method to set an applicant status to Approved.

When invoked, the applicant status is updated in the Dashboard to Approved, and the API response reflects the following state changes:

  • reviewStatus: "completed"
  • reviewResult.reviewAnswer: "GREEN"

The method approves an applicant without altering the status of verification steps, documents, images, or other associated data.

🚧

Attention

  • Notes and tags are optional, but if omitted, you must include an empty request body -d '{}'; otherwise, a 400 error is returned. See the request examples for details.
  • Applicants can be approved via the API regardless of their current status, except when Video identification is configured for the verification level and its review is not complete (that is, no Video identification data exists or the status is queued or pending).

Request examples

// This example demonstrates how to send a request with all parameters provided.

curl -X POST \
     'https://api.sumsub.com/resources/applicants/687fb2373fc85ad66b5d8744/-/approve' \
     -H 'content-type: application/json' \
     -d '{
          "note": "This is an example note",
          "tags": [
            "First tag",
            "Second tag"
          ]
        }'
// This example demonstrates how to send a request without body parameters.

curl -X POST \
     'https://api.sumsub.com/resources/applicants/687fb2373fc85ad66b5d8744/-/approve' \
     -H 'content-type: application/json' \
     -d '{}'

Response explained

If the request is sent and processed successfully, you will receive a JSON response representing the applicant profile with augmented and structured information.

You can see the response structure, possible content with descriptions, and examples of response on the following page.

If the request fails, you will receive an HTTP response containing an error code and a message explaining the error.

Error examples

// The following error is returned if the request body is not provided.

{
  "code": 400,
  "correlationId": "0b30b4efbc0a885c5a579744d0bde7e1",
  "description": "The request body must not be null"
}
// The following error is returned if the Video identification review is not complete.

{
  "code": 400,
  "correlationId": "b6d2f45619fef5c233df435644e53fc4",
  "description": "Complete review of Video Ident Control Panel first"
}
Path Params
string
required
Body Params
string
tags
array of strings
tags
json
enum
Allowed:
Headers
string
enum
Defaults to application/json
Allowed:
Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here!